# 3.0.5

Release date: `2018-02-23`

## Core

- [NXDRIVE-941](https://jira.nuxeo.com/browse/NXDRIVE-941): Use a context manager for Lock
- [NXDRIVE-1008](https://jira.nuxeo.com/browse/NXDRIVE-1008): Document deleted server side when unfiltering and opened elsewhere
- [NXDRIVE-1009](https://jira.nuxeo.com/browse/NXDRIVE-1009): Some folders not deleted on client when file is open
- [NXDRIVE-1062](https://jira.nuxeo.com/browse/NXDRIVE-1062): Fix encoding for string comparisons on macOS
- [NXDRIVE-1085](https://jira.nuxeo.com/browse/NXDRIVE-1085): Review the Auto-Lock feature
- [NXDRIVE-1087](https://jira.nuxeo.com/browse/NXDRIVE-1087): Remove backward compatibility code for Nuxeo <= 5.8
- [NXDRIVE-1088](https://jira.nuxeo.com/browse/NXDRIVE-1088): Ignore Windows symlink suffix by default (.lnk)
- [NXDRIVE-1091](https://jira.nuxeo.com/browse/NXDRIVE-1091): Create the tooltip decorator
- [NXDRIVE-1098](https://jira.nuxeo.com/browse/NXDRIVE-1098): Auto-Lock does not work when there are orphans
- [NXDRIVE-1104](https://jira.nuxeo.com/browse/NXDRIVE-1104): Set invalid credentials on 401,403 errors only
- [NXDRIVE-1105](https://jira.nuxeo.com/browse/NXDRIVE-1105): Avoid unwanted file deletions on Windows 7
- [NXDRIVE-1114](https://jira.nuxeo.com/browse/NXDRIVE-1114): Add server information to analytics
- [NXDRIVE-1118](https://jira.nuxeo.com/browse/NXDRIVE-1118): Windows API used to trash files cannot deal with long paths

## GUI

- [NXDRIVE-1106](https://jira.nuxeo.com/browse/NXDRIVE-1106): Use new branding icons
- [NXDRIVE-1107](https://jira.nuxeo.com/browse/NXDRIVE-1107): Notify user of lost authenticated state during Direct Edit
- [NXDRIVE-1119](https://jira.nuxeo.com/browse/NXDRIVE-1119): Show "remaining items to sync" phrase before items number

## Tests

- [NXDRIVE-887](https://jira.nuxeo.com/browse/NXDRIVE-887): Integrate SonarCloud code quality check

## Minor Changes

- Doc: Add a link to know up-to-date envvars value
- Framework: Do not create test folder for case sensitivity in the Drive folder but in a temporary one
- Framework: Review BlackListQueue class
- Framework: Review DirectEdit class
- Framework: Review EngineNext class
- GUI: Use Web-UI as default value or in case of unknown selected UI for URLs generators
- Jenkins: Discard old builds
- Jenkins: Add a timeout to the packages job
- Packaging: Updated `Send2Trash` from 1.4.2 to 1.5.0
- Tests: Add a simple test for .rvt files
- Tests: Add -W error option to pytest
- Tests: Show failures summary

## Technical Changes

- Changed `BlacklistQueue.get()`, it is now a generator.
- Removed `CLIHandler.edit()`
- Removed `DirectEdit.is_lock_file()` (now private)
- Removed `exception` keyword argument from `Engine.set_invalid_credentials()`
- Removed `LocalClient.make_tree()`
- Removed `Manager.edit()`
- Removed `Manager.get_autolock_service()`. Use `autolock_service` attribute instead.
- Removed `Manager.get_tracker()`
- Changed `ProcessAutoLockerWorker.__init__(..., manager, watched_folders=None)` to `ProcessAutoLockerWorker.__init__(..., dao, folder)`
- Removed `ProcessAutoLockerWorker.get_open_files()`
- Removed `WindowsIntegration.get_open_files()`
- Added utils.py::`simplify_url()`
- Moved manager.py::`ServerBindingSettings` to engine/engine.py
- Removed osi/\_\_init__.py::`get_open_files()`
- Removed osi/windows/win32_handlers.py
